libzypp 17.37.10

text.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <boost/utility/string_ref.hpp>`
`#include <zypp-core/base/DtorReset>`
`#include <zypp-core/base/String.h>`

Go to the source code of this file.

## Classes
struct | ztui::mbs::MbToWc
class | ztui::mbs::MbsIterator
| Iterate chars and ANSI SGR in a multi-byte character string. More...
class | ztui::mbs::MbsIteratorNoSGR
| MbsIterator skipping ANSI SGR More...
class | ztui::mbs::MbsWriteWrapped
| Write MBString optionally wrapped and indented. More...
struct | ztui::mbs::MbsWriteWrapped::ScopedIndentIncrement
| Temporarily increase indent. More...

## Namespaces
namespace | ztui
namespace | ztui::mbs

## Macros
#define | ZYPPER_TRACE_MBS 0

## Functions
void | ztui::mbs_write_wrapped (std::ostream &out, boost::string_ref text_r, size_t indent_r, size_t wrap_r, int indentFix_r=0)
| Wrap and indent given text and write it to the output stream out.
void | ztui::mbs_write_wrapped (std::ostream &out, const zypp::str::Str &text_r, size_t indent_r, size_t wrap_r, int indentFix_r=0)
size_t | ztui::mbs_width (boost::string_ref text_r)
| Returns the column width of a multi-byte character string text_r.
std::string | ztui::mbs_substr_by_width (boost::string_ref text_r, std::string::size_type colpos_r=0, std::string::size_type collen_r=std::string::npos)
| Returns a substring of a multi-byte character string text_r starting at screen column cpos_r and being at most clen_r columns wide.

## Macro Definition Documentation

## ◆ ZYPPER_TRACE_MBS

#define ZYPPER_TRACE_MBS 0

Definition at line 30 of file text.h.